#!/bin/sh
# Copyright (c) Juli 1997-2000. Wolfram Schneier <wosch@FreeBSD.org>. Berlin.
# All rights reserved.
#
# Redistribution and use in source and binary forms, with or without
# modification, are permitted provided that the following conditions
# are met:
# 1. Redistributions of source code must retain the above copyright
#    notice, this list of conditions and the following disclaimer.
# 2. Redistributions in binary form must reproduce the above copyright
#    notice, this list of conditions and the following disclaimer in the
#    documentation and/or other materials provided with the distribution.
#
# THIS SOFTWARE IS PROVIDED BY THE AUTHOR AND CONTRIBUTORS ``AS IS'' AND
# ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
# IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
# ARE DISCLAIMED.  IN NO EVENT SHALL THE AUTHOR OR CONTRIBUTORS BE LIABLE
# FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
# DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS
# OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
# HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT
# LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY
# OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
# SUCH DAMAGE.
#
# dict - simple english/german dictionary
#
# $Id$

PATH=/bin:/usr/bin:/usr/local/bin; export PATH

agrep='agrep'
agrep_opt='-i'

dict='/usr/local/share/ger-eng.txt'

case $# in
    0) echo "usage: dict word"; exit 1;;
esac

if test -t; then
    : ${PAGER=more}
else
    PAGER=cat
fi

if $agrep $agrep_opt -e "$@" $dict; then 
    :
else
    echo "Nothing found, try best match mode" >&2
    $agrep $agrep_opt -B -e "$@" $dict
fi | perl -ne '($en, $de) = split(/\s*::\s*/);
	  print sprintf("%-35s %s", $en, $de);' | $PAGER
